[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Uninstallable Packages

Joseph Carter wrote:

> On Tue, Oct 05, 1999 at 10:13:51PM +1000, Anthony Towns wrote:
> >
> >               Depends: libgl1 ; which doesn't exist
> This exists in CVS.  libGL.so.1 is what is used by the latest versions of
> GLX and Mesa.  I think the problem was coming up with a sane way to make
> alternatives work for the purpose since libgl1 is almost certainly a
> virtual package provided by Mesa, GLX, and probably commercial offerings
> as well.
> Compound this with Mesa and GLX merging and you've got something close to
> a nightmare.

IMO there's yet another issue to consider (which brings another complication
with it): there may be people who will want both mesa and glx, if they own a
Riva or Matrox + Voodoo* add-on board. As long as Mesa keeps using the name
libMesa* it can probably coexists with GLX (exept perhaps for include files?),
but I've heard that they will change to libGL* as well. If they are planning
on merging with GLX, the problem of multiple video cards (and drivers) will be
theirs I guess.

Reply to: